let qualities = {
    fast : "Schnell",
    hack : "Hackend",
    impale : "Aufspießend",
    penetrating : "Durchdringend",
    precise : "Präzise"
}

let choice = await ItemDialog.create(ItemDialog.objectToArray(qualities, this.item.img), 1, {text: "Wähle eine Qualität", title: this.effect.name});

if (choice[0])
{
    this.script.message(choice[0].name);
    this.effect.setFlag("wfrp4e", "quality", choice[0].id);
}